---
lang: en
title: 'API docs: rest.redirectroute._constructor_'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/strongloop/loopback-next/tree/master/packages/rest
permalink: /doc/en/lb4/apidocs.rest.redirectroute._constructor_.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [RedirectRoute](./rest.redirectroute.md) &gt; [(constructor)](./rest.redirectroute._constructor_.md)

## RedirectRoute.(constructor)

Constructs a new instance of the `RedirectRoute` class

<b>Signature:</b>

```typescript
constructor(sourcePath: string, targetLocation: string, statusCode?: number);
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  sourcePath | string |  |
|  targetLocation | string |  |
|  statusCode | number |  |


